/* clang-format off */

//static const char html_confDevWiFi_script[] PROGMEM = R"=====(
//<script>
//  function g(i) { return document.getElementById(i) };
//  function sp(i){g(i).type=(g(i).type==='text'?'password':'text');}
//  var xhttp, reqTime, reqFin;
//  function setCbx(el, da) {
//    if(da == '1') {
//      el.checked = true;
//      el.style.visibility = 'visible';
//    }
//    else {
//      el.checked = false;
//      el.style.visibility = 'visible';
//    }
//  }
//  function updCbxVal(el) {
//    if (el.checked) el.value = '1';
//    else {
//      el.checked = true;
//    el.value = '0';
//      el.style.visibility = 'hidden';
//    }
//  }

static const char html_confDevWiFi_script[] PROGMEM = R"=====(
  function transmit(f) {
    if (!xhttp) {   
    reqTime = 0;
    reqFin = false;
    xhttp = new XMLHttpRequest();
    xhttp.timeout = 1000;
    xhttp.overrideMimeType('application/json');
    xhttp.open('POST', 'confDataDevWiFi');
    xhttp.send(f ? (new FormData(f)) : '');
    xhttp.onreadystatechange = function () {
      if (xhttp.readyState === XMLHttpRequest.DONE && xhttp.status === 200) {
        var data = JSON.parse(xhttp.responseText);
        g('devName').value = data.devName;
        g('hostName').value = data.hostName;
		    g('SSID1').value = data.SSID1;
        g('WPW1').value = data.WPW1;
        g('SSID2').value = data.SSID2;
        g('WPW2').value = data.WPW2;
        g('SSIDAP').innerHTML = data.SSIDAP;
		    g('WPWAP').value = data.WPWAP;
		    g('WAPtout').value = data.WAPtout;
        g('WConnCheck').value = data.WConnCheck;
		    g('Wretry').value = data.Wretry;
		    g('Wreboot').value = data.Wreboot;
        setCbx(g('ArdOTA'), data.ArdOTA);
        xhttp = null;
        reqFin = true;
       }
       else {
         if(!reqFin && reqTime > 10) {
           xhttp = null;
           reqFin = true;
         }
       }
     }
   }
    return false;
  }
  //transmit();
  function saveConf() {
    updCbxVal(g('ArdOTA'));
    g('frmConf').submit();
  }
  function init() {
    transmit();
    setCbx(g('WPW1Set'), 0);
    setCbx(g('WPW2Set'), 0);
    setCbx(g('WPWAPSet'), 0);
  }
)====="; // html_confDevWiFi_script
//  setInterval(function () { ++reqTime; }, 1000);
//</script>
//)====="; // html_confDevWiFi_script

static const char html_confDevWiFi_body[] PROGMEM = R"=====(
<b>Konfiguration - Ger&auml;t &amp; WLAN</b>
<div class='config'><br>
<form id='frmConf' action='setConfDevWiFi' method='POST'>
<fieldset>
<legend>Ger&auml;t</legend>
<p><b>Ger&auml;tename *</b><br><input type='text' name='devName' id='devName'></p>
<p><b>Hostname</b><br><input type='text' name='hostName' id='hostName'></p>
<p class='n'>wenn leer wird ein zuf&auml;lliger Hostname generiert</p>
</fieldset>
<br>
<p class='n'>Nach dem Start wird zuerst versucht zum Haupt-WLAN-AP zu verbinden. <br>
Wenn dies fehlschl&auml;gt wird der 2. AP benutzt.<br>
Kann auch zu diesem keine Verbindung aufgebaut werden, <br>
wird der Konfigurations-AP aktiviert. <br>
Der Konfigurations-AP wird nach einer konfigurierbaren Zeitspanne abgeschaltet. <br>
Danach wird alle paar Minuten ein Verbindungsaufbau zu den beiden <br>
konfigurierten APs versucht. <br>
Wenn kein Verbindungsaufbau m&ouml;glich ist wird - wenn konfiguriert - <br>
ein Neustart ausgel&ouml;st. <br>
Bei Neuverbindung wird immer der Haupt-AP zuerst versucht. </p>
<div></div>
<fieldset>
<legend>WLAN - Haupt-AP</legend>
<p><b>&Auml;ndern</b>&nbsp;<input type='checkbox' id='WPW1Set' name='WPW1Set'></p>
<p><b>SSID</b><br><input type='text' length=32 name='SSID1' id='SSID1'></p>
<p><b>Passwort</b>&nbsp;<input type='checkbox' onclick='sp("WPW1")'>&nbsp;anzeigen<br><input type='password' length=64 name='WPW1' id='WPW1'></p>
</fieldset>
<br>
<fieldset>
<legend>WLAN - 2. AP</legend>
<p><b>&Auml;ndern</b>&nbsp;<input type='checkbox' id='WPW2Set' name='WPW2Set'></p>
<p><b>SSID</b><br><input type='text' length=32 name='SSID2' id='SSID2'></p>
<p><b>Passwort</b>&nbsp;&nbsp;<input type='checkbox' onclick='sp("WPW2")'>&nbsp;anzeigen<br><input type='password' length=64 name='WPW2' id='WPW2'></p>
</fieldset>
<div></div><br>
<fieldset>
<legend>Konfigurations-AP</legend>
<p><b>SSID</b>: <i><span id='SSIDAP'></span></i>
<p><b>Password *</b><input type='checkbox' id='WPWAPSet' name='WPWAPSet' onclick='sp("WPWAP")'><br><input type='password' name='WPWAP' id='WPWAP'></p>
<p class='n'>* min. 8 Zeichen, leer lassen f&uuml; offenes WLAN. <br>
Die SSID entspricht dem eingestellten Ger&auml;tenamen.</p>
</fieldset>
<div></div><br>
<fieldset>
<legend>Verbindungseinstellungen</legend>
<p><b>Konfiguration-AP abschalten nach [min] *</b><br><input type='number' name='WAPtout' id='WAPtout'></p>
<p><b>WLAN Verbindungscheck-Intervall [s]</b><input type='number' name='WConnCheck' id='WConnCheck'></p>
<p class='n'>min. 10s, max. 3600s</p><br>
<p><b>Verbindungsversuch auf WLAN-1 alle [min] *</b><input type='number' name='Wretry' id='Wretry'></p>
<p class='n'>WLAN-1 immer wieder versuchen obwohl WLAN-2 verbunden ist. <br>
(Haupt-WLAN bevorzugen wenn verf&uuml;gbar)</p><br>
<p><b>Neustart, wenn f&uuml;r [min] keine Verbindung <br>
aufgebaut werden kann *</b><input type='number' name='Wreboot' id='Wreboot'></p>
<p class='n'>* 0 um diese Funktion zu deaktivieren</p>
</fieldset>
<div></div><br>
<fieldset>
<legend>Zus&auml;tzliche Netzwerkdienste</legend>
<p><b>ArduinoOTA</b>&nbsp;<input type='checkbox' id='ArdOTA' name='ArdOTA'></p>
<p class='n'>ArduinoOTA-Dienst auf Port 8266.</p>
</fieldset>
<div></div><br>
</form>
<div></div>
<table style='width:100%'>
  <td style='width:50%'><button onclick='location="conf";' class='bgrey'>Abbrechen</button></td>
  <td style='width:50%'><button onclick='return saveConf()' class='bred'>Speichern</button></td>
</tr></table>
</div>
)====="; // html_confDevWiFi_body
